# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::GenericLocator< Type > Class Template Reference

Generic Locator auto-pointer. More...

Inheritance diagram for Hurricane::GenericLocator< Type >:
[legend]

## Public Member Functions

| GenericLocator (const Locator< Type > &locator)
| GenericLocator (const GenericLocator &genericLocator)
| GenericLocator (Locator< Type > *locator)

## Detailed Description

### template<class Type>
class Hurricane::GenericLocator< Type >

Generic Locator auto-pointer.

This class is an auto-pointer like wrapped around the raw locator.

Remarks
  The destruction of a GenericLocator triggers the destruction of the raw locator.

## Constructor & Destructor Documentation

## ◆ GenericLocator() [1/3]

template<class Type>

Hurricane::GenericLocator< Type >::GenericLocator | ( | const Locator< Type > & | locator | ) |

inline

Constructor from a primary Locator.

Remarks
  This constructor build a copy of the raw locator. So the originating locator can be safely deleted.

## ◆ GenericLocator() [2/3]

template<class Type>

Hurricane::GenericLocator< Type >::GenericLocator | ( | const GenericLocator< Type > & | genericLocator | ) |

inline

Constructor from a primary Locator and a Filter.

Remarks
  This constructor build a copy of the raw locator. So the originating locator can be safely deleted.

## ◆ GenericLocator() [3/3]

template<class Type>

Hurricane::GenericLocator< Type >::GenericLocator | ( | Locator< Type > * | locator | ) |

inline

Constructor from a raw Locator.

Remarks
  This constructor do not build a copy of the raw locator. So the original raw locator must not be deleted. It's deletion will occurs with the one of the GenericLocator.

The documentation for this class was generated from the following files:

- Locator.h
- Locator.dox